<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.Refresh Method (LockingInfo)
SecondaryCursor Class See Also Send Feedback

Store the secondary key and primary key/data pair to which the cursor refers in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet50 (in libdb_dotnet50.dll) Version: 5.0.21.0

# Syntax

C#

    public bool Refresh(
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function Refresh ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool Refresh(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
Refresh Overload
BerkeleyDB Namespace